Package org.gradle.tooling.events.task.java

## Interface JavaCompileTaskOperationResult

- All Superinterfaces:
    `OperationResult`, `TaskOperationResult`

      public interface JavaCompileTaskOperationResult
      extends TaskOperationResult

  Describes the result of a `JavaCompile` task.

  Currently, this result is only reported for successful tasks.

  Since:
    5.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `JavaCompileTaskOperationResult.AnnotationProcessorResult` | The results of an annotation processor used during compilation.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<JavaCompileTaskOperationResult.AnnotationProcessorResult>` | `getAnnotationProcessorResults()` | Returns results of used annotation processors, if available.

    - ### Methods inherited from interface org.gradle.tooling.events.OperationResult

      `getEndTime, getStartTime`

- - ### Method Detail

    - #### getAnnotationProcessorResults

          @Nullable
          List<JavaCompileTaskOperationResult.AnnotationProcessorResult> getAnnotationProcessorResults()

      Returns results of used annotation processors, if available.

      Details are only available if an instrumented compiler was used.

      Returns:
        details about used annotation processors; `null` if unknown.